summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEmil Karlson <jekarlson@gmail.com>2014-02-04 11:47:33 +0200
committerEmil Karlson <jekarlson@gmail.com>2014-02-04 11:47:33 +0200
commitaa96f8b070cb1b0215f49881c5684be6ff4b074b (patch)
tree000ca94f86410fb4a350da39b7f091a97025bfde
parentx11-drivers/xf86-video-intel/x11-drivers/xf86-video-intel: Drop -ia64 keyword... (diff)
downloadx11-aa96f8b070cb1b0215f49881c5684be6ff4b074b.tar.gz
x11-aa96f8b070cb1b0215f49881c5684be6ff4b074b.tar.bz2
x11-aa96f8b070cb1b0215f49881c5684be6ff4b074b.zip
x11-drivers/ati-drivers: beta version bump
-atiogl.xml was removed, needs to be checked, whether it can just be omitted. -distfile needs to be mirrored again -there are rumours of xorg-server-1.15 support, untested -masked for now
-rw-r--r--profiles/package.mask3
-rw-r--r--x11-drivers/ati-drivers/Manifest2
-rw-r--r--x11-drivers/ati-drivers/ati-drivers-14.1_beta.ebuild (renamed from x11-drivers/ati-drivers/ati-drivers-13.10_beta.ebuild)73
3 files changed, 41 insertions, 37 deletions
diff --git a/profiles/package.mask b/profiles/package.mask
index 87cf4a14..6db1e8df 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -130,3 +130,6 @@
#mask until new multilib is enabled
=x11-drivers/ati-drivers-13.9-r1
=x11-drivers/ati-drivers-13.12-r1
+
+# missing distfile, untested xorg-dependency, missing atiogl.xml
+=x11-drivers/ati-drivers-14.1_beta
diff --git a/x11-drivers/ati-drivers/Manifest b/x11-drivers/ati-drivers/Manifest
index aebfe0b8..19bdc966 100644
--- a/x11-drivers/ati-drivers/Manifest
+++ b/x11-drivers/ati-drivers/Manifest
@@ -1,9 +1,9 @@
-DIST amd-catalyst-13.10-beta2-linux-x86.x86_64.zip 122409608 SHA256 e68c82236647e168704c8a652dfd1b35afbd80f4ee9439627f5d05c92c0bc977 SHA512 981e3c6e260b8ca4257c58c38e3da269f823811b79916cd4f64c56b2319e7624f9b5dd0bdc8184f42fb46320d6d50d17a8259bfa9103506d282c7defe31feae2 WHIRLPOOL 65e72ab7151e7f2094398566778c18778131095c545aab9b3f0c900e0852f2b38621292d5d34331c5f758294681a1ec1c885fc4fbf0e80388fe9d0de655d9259
DIST amd-catalyst-13.11-beta6-linux-x86.x86_64.zip 160487039 SHA256 f09ed24b6541e5bd91ff0f76d2c94dff50d671a1ebc71c99ef6847f904eb2b70 SHA512 b7261f411a08927f48b3c56151dc1590bfae8201ae7f3fbab1a041531006f45c543b1077d3ecbd983a65a9ec249172019db9160ec71018308ff49243a29000a4 WHIRLPOOL a7d1a6f53cd6d61dac3c4176d0e2bb2d373b79c8a351555158100aa995c1e9f15cc2fd82e5f727ff99244c2e15f83953455152c60066b50f220713e640b424f7
DIST amd-catalyst-13.11-betav1-linux-x86.x86_64.zip 122951918 SHA256 6597cf12dc50437c59b2517b45408013c15612952d759b15cef7e8498ccd290a SHA512 c31ba31d32db42041306da61275a51a1b9aa6556493cca338facfe84d5a80c8a744a33fbc93b31b65ff50e2367662e4c9a05610d7d848b9dfa8a38c964be4c4a WHIRLPOOL c7af5b350fa45179657a5949f4dd42b9c74a6855c51f2add6ec67404a37ad0463567e4b6961bc94a47c1858295fec4a8d66e55dee074a323436c553dc3bbde64
DIST amd-catalyst-13.12-linux-x86.x86_64.zip 160571830 SHA256 024033f4847d1c2a182fc44e0b3df29b2d133e24aeaba390f4504a8f3361a0ca SHA512 bf02aea47dc0588e8fe6590ff5665b25b34b3e10499348e2eb786ba89b32703897753852e6ee8ed52c3d0f8eef46f2026d130329d7af75191e605975379d0109 WHIRLPOOL bcdac0f9641cfdc6d89cd5544fe22dda91f64ae8d34dcd25b55930702108b1bee1db0cdc85d8a68a78fddc34f7f30ab88c9813d3a6ba38b3abf37a24d6210707
DIST amd-catalyst-13.4-linux-x86.x86_64.zip 122588023 SHA256 ebec78c7f78db3601d1c97116a6823076a7765318e16d88b619ebc80d4c6d1d5 SHA512 ce012f46527ee0073f658e97dd793954930b934b96be9e1c6cd1d344e7734ef81949b484701d5e7e1ebb221f46b5a617f4efb4445e42c06ac0a8b4eca76463fc WHIRLPOOL cb0f7af6d0474c3d521c5785bab49d76da7e09e1ddd02dc0e72b70b5afdb2bd1e07d4a4115a755f213718e7c32c816697d993b73706d58be68fa043aef1ad551
DIST amd-catalyst-13.9-linux-x86.x86_64.zip 120482826 SHA256 ebade5062713c69d2b703b0a3f62defc409d58e98ceab3bfac7a71643c0c4cd3 SHA512 887c1146920ba7e5b31efd63b1a1b7d9cab586e8c6d705706e0b176b3527e542f452d919cd015c3a04d6f42c884f27d983b2a9229b70716129a94674dd7f62b4 WHIRLPOOL d8b6c7ed772898914c256674ae08a8b3d3054eb5bdfc2f00dc4c796a36b4654c3101410786adb54eaae44ff35386db2aa8d8db12d70805f8732d0709412bdbcc
+DIST amd-catalyst-14.1-betav1.3-linux-x86.x86_64.zip 122280358 SHA256 61258534756b494fbd35c10a18b142d8805b07f4f9bab394b3a445cbf6a543fa SHA512 dd7b2841cdf6f32ab3a0b04b759fcc0669d59c97e2a63a7606e870cb4314cdbcd15ad637f9fca9597b0cea6204f8e6b49ef1512b7a6753bfccdae3baf8837531 WHIRLPOOL ab3a593b728354486880ea0da57bb5c4f2a761182a05c722e58164bdaeeb3cdade45b6165ca8c2c054d5effb4dd1b7ab327dfd153768226ef9f2c8e87f8d8f0d
DIST amd-driver-installer-12.6-legacy-x86.x86_64.zip 3762108 SHA256 56acf0db1df14d6a49f2dcbbb8b447586e976862644243e5844c230fb87c9523 SHA512 509e5fee93ae3c0641724bf7f722c7726dcda7499cfde86dede850be1de8a3aeb36da3c4910b332680233305d48d1d25dc4438c27db16b54e81da3103fc4b391 WHIRLPOOL 13c3dc574f3023feaed189789031592a08cca1140750f4a78c1657ccd35c5e82f99abf113817173b5477de9bee0f57fb9f6c9a9242d8e9ecec76bbcfdce78450
DIST amd-driver-installer-catalyst-13-6-beta-x86.x86_64.zip 118103843 SHA256 3e1bd2ac2d2fcf7188c9e365f77b0c27fc71d788618ab9b2cbf86d0d48e8b63a SHA512 0af9a32528fb381cb1e39462ec6effaa7a6999c6f9bfdc30524e1ecbc2dbd5ce388bcf4f35b8a93225bb56a0bed536622183e78cb2c980a4a3916c30c5ab27c7 WHIRLPOOL 314c92e0d6a9ff5f4477ce38ae2b813cd09910d720fb40a21f0b4f193cd4a1ac210344050a9abb105494888e37097c9a2e8e1bbeafde7a21e6128daaad540319
DIST amd-driver-installer-catalyst-13.1-legacy-linux-x86.x86_64.zip 106908508 SHA256 3a992fb7564dba17a696217dc32043dabc21743c82116a6657817ee8a3a1d55f SHA512 96b34045dca3ad70156500b37d3f06008728ff81878a3e1432060d08e668d8cbd9bfe172440bcb818f01d731d39e3eeccc25396417993d2b9b8985b3b7dc7357 WHIRLPOOL f0e34ccb1a9dfe3cfd9e9c640c3d6ed97a4a3e892b65325a78045653b40d29a78427dc9092d8e14bee1a8ba603405ed9e8cd60188d5bc5e8c5eee03d66a8f25c
diff --git a/x11-drivers/ati-drivers/ati-drivers-13.10_beta.ebuild b/x11-drivers/ati-drivers/ati-drivers-14.1_beta.ebuild
index 70138ddc..a1d53641 100644
--- a/x11-drivers/ati-drivers/ati-drivers-13.10_beta.ebuild
+++ b/x11-drivers/ati-drivers/ati-drivers-14.1_beta.ebuild
@@ -8,9 +8,11 @@ inherit eutils multilib linux-info linux-mod toolchain-funcs versionator pax-uti
DESCRIPTION="Ati precompiled drivers for Radeon Evergreen (HD5000 Series) and newer chipsets"
HOMEPAGE="http://www.amd.com"
-#RUN="${WORKDIR}/amd-driver-installer-9.00-x86.x86_64.run"
+RUN="${WORKDIR}/amd-driver-installer-13.35.1005-x86.x86_64.run"
SLOT="1"
-DRIVERS_URI="http://www2.ati.com/drivers/beta/amd-catalyst-13.10-beta2-linux-x86.x86_64.zip"
+# Uses javascript for download YESSSS
+#DRIVERS_URI="http://www2.ati.com/drivers/linux/amd-catalyst-13.12-linux-x86.x86_64.zip"
+DRIVERS_URI="http://dev.gentooexperimental.org/~scarabeus/amd-catalyst-14.1-betav1.3-linux-x86.x86_64.zip"
XVBA_SDK_URI="http://developer.amd.com/wordpress/media/2012/10/xvba-sdk-0.74-404001.tar.gz"
SRC_URI="${DRIVERS_URI} ${XVBA_SDK_URI}"
FOLDER_PREFIX="common/"
@@ -22,7 +24,7 @@ KEYWORDS="-* ~amd64 ~x86"
RESTRICT="bindist test"
RDEPEND="
- <=x11-base/xorg-server-1.14.49[-minimal]
+ <=x11-base/xorg-server-1.15.49[-minimal]
>=app-admin/eselect-opengl-1.0.7
app-admin/eselect-opencl
sys-power/acpid
@@ -148,40 +150,33 @@ QA_DT_HASH="
usr/lib\(32\|64\)\?/OpenCL/vendors/amd/libOpenCL.so.1
"
-CONFIG_CHECK="~MTRR ~!DRM ACPI PCI_MSI !LOCKDEP !PAX_KERNEXEC_PLUGIN_METHOD_OR"
-ERROR_MTRR="CONFIG_MTRR required for direct rendering."
-ERROR_DRM="CONFIG_DRM must be disabled or compiled as a module and not loaded for direct
- rendering to work."
-ERROR_LOCKDEP="CONFIG_LOCKDEP (lock tracking) exports the symbol lock_acquire
- as GPL-only. This prevents ${P} from compiling with an error like this:
- FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'lock_acquire'"
-ERROR_PAX_KERNEXEC_PLUGIN_METHOD_OR="This config option will cause
- kernel to reject loading the fglrx module with
- \"ERROR: could not insert 'fglrx': Exec format error.\"
- You may want to try CONFIG_PAX_KERNEXEC_PLUGIN_METHOD_BTS instead."
-
-_check_kernel_config() {
- if ! linux_chkconfig_present AGP && \
- ! linux_chkconfig_present PCIEPORTBUS; then
- ewarn "You don't have AGP and/or PCIe support enabled in the kernel"
- ewarn "Direct rendering will not work."
- fi
-
- kernel_is ge 2 6 37 && kernel_is le 2 6 38 && if ! linux_chkconfig_present BKL ; then
- die "CONFIG_BKL must be enabled for kernels 2.6.37-2.6.38."
- fi
-
- if use amd64 && ! linux_chkconfig_present COMPAT; then
- die "CONFIG_COMPAT must be enabled for amd64 kernels."
- fi
-}
-
pkg_pretend() {
+ local CONFIG_CHECK="~MTRR ~!DRM ACPI PCI_MSI !LOCKDEP !PAX_KERNEXEC_PLUGIN_METHOD_OR"
+ use amd64 && CONFIG_CHECK+=" COMPAT"
+
+ local ERROR_MTRR="CONFIG_MTRR required for direct rendering."
+ local ERROR_DRM="CONFIG_DRM must be disabled or compiled as a module and not loaded for direct
+ rendering to work."
+ local ERROR_LOCKDEP="CONFIG_LOCKDEP (lock tracking) exports the symbol lock_acquire
+ as GPL-only. This prevents ${P} from compiling with an error like this:
+ FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'lock_acquire'"
+ local ERROR_PAX_KERNEXEC_PLUGIN_METHOD_OR="This config option will cause
+ kernel to reject loading the fglrx module with
+ \"ERROR: could not insert 'fglrx': Exec format error.\"
+ You may want to try CONFIG_PAX_KERNEXEC_PLUGIN_METHOD_BTS instead."
+ local ERROR_BKL="CONFIG_BKL must be enabled for kernels 2.6.37-2.6.38."
+
# workaround until bug 365543 is solved
if use modules; then
linux-info_pkg_setup
require_configured_kernel
- _check_kernel_config
+ kernel_is ge 2 6 37 && kernel_is le 2 6 38 && CONFIG_CHECK+=" BKL"
+ check_extra_config
+ if ! linux_chkconfig_present AGP && \
+ ! linux_chkconfig_present PCIEPORTBUS; then
+ ewarn "You don't have AGP and/or PCIe support enabled in the kernel"
+ ewarn "Direct rendering will not work."
+ fi
fi
if ! has XT ${PAX_MARKINGS} && use pax_kernel; then
@@ -246,7 +241,7 @@ src_unpack() {
else
RUN="${DISTDIR}/${DRIVERS_DISTFILE}"
fi
- sh ${RUN} --extract "${S}" 2>&1 > /dev/null || die
+ sh "${RUN}" --extract "${S}" 2>&1 > /dev/null || die
fi
mkdir xvba_sdk
@@ -300,15 +295,21 @@ src_prepare() {
epatch "${FILESDIR}"/ati-drivers-12.9-KCL_AGP_FindCapsRegisters-stub.patch
# Compile fix for kernel typesafe uid types #469160
- epatch "${FILESDIR}/typesafe-kuid.diff"
+ #epatch "${FILESDIR}/typesafe-kuid.diff"
- epatch "${FILESDIR}/ati-drivers-13.8-beta-include-seq_file.patch"
+ #epatch "${FILESDIR}/ati-drivers-13.8-beta-include-seq_file.patch"
epatch "${FILESDIR}/check-for-iommu-only-if-iommu-is-supported.patch"
# Fix #483400
epatch "${FILESDIR}/fgl_glxgears-do-not-include-glATI.patch"
+ # Fix build on new kernels
+ #epatch "${FILESDIR}/ati-drivers-13.12-acpi.patch"
+
+ # Add support for linux-3.13. See #498766
+ #epatch "${FILESDIR}/ati-drivers-linux-3.13-acpi-handle.patch"
+
# Compile fix, https://bugs.gentoo.org/show_bug.cgi?id=454870
use pax_kernel && epatch "${FILESDIR}/const-notifier-block.patch"
@@ -419,7 +420,7 @@ src_install() {
insinto /etc/ati
exeinto /etc/ati
# Everything except for the authatieventsd.sh script.
- doins ${FOLDER_PREFIX}etc/ati/{logo*,control,atiogl.xml,signature,amdpcsdb.default}
+ doins ${FOLDER_PREFIX}etc/ati/{logo*,control,signature,amdpcsdb.default}
doexe ${FOLDER_PREFIX}etc/ati/authatieventsd.sh
# include.